package net.pricefx.formulaengine.scripting.inputbuilder;

import net.pricefx.common.api.InputType;

/**
 * Builder class for input type DMFilterBuilder {@link InputType#DMFILTERBUILDER}.
 */
public class DmFilter extends AbstractInputBuilder<DmFilter,String> {

    protected DmFilter(InputBuilderContext builderContext, String paramName, String fcTypedId, String field) {
        super(builderContext, InputType.DMDIMFILTER, paramName);
        cp.setURL(fcTypedId + "/" + field);
    }

    @Override
    protected Object _getInput() {
        return builderContext.getEngineContext().getParameter(cp.getName());
    }
}
